summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall <dave@unrealize.co.uk>2010-05-13 01:01:13 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:01:13 +0200
commit1c074d0cf5208c75e4095a144112e1c32a384d22 (patch)
tree26c31c2a3888749a9bb55cb9779698739aeea1c7
parentf73f9383430a2a2ab091c967db11aa8b21e4a7eb (diff)
downloadslackbuilds-1c074d0cf5208c75e4095a144112e1c32a384d22.tar.gz
slackbuilds-1c074d0cf5208c75e4095a144112e1c32a384d22.tar.xz
system/uif2iso: Added to 13.0 repository
-rw-r--r--system/uif2iso/README5
-rw-r--r--system/uif2iso/slack-desc20
-rw-r--r--system/uif2iso/uif2iso.SlackBuild79
-rw-r--r--system/uif2iso/uif2iso.info10
4 files changed, 114 insertions, 0 deletions
diff --git a/system/uif2iso/README b/system/uif2iso/README
new file mode 100644
index 0000000000..7389dafeab
--- /dev/null
+++ b/system/uif2iso/README
@@ -0,0 +1,5 @@
+uif2iso
+-------
+A command-line tool for converting single and multipart UIF images to
+the ISO format. See file uif2iso.txt for more documentation. Released
+under the GNU GPL license.
diff --git a/system/uif2iso/slack-desc b/system/uif2iso/slack-desc
new file mode 100644
index 0000000000..4c27613345
--- /dev/null
+++ b/system/uif2iso/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+uif2iso: uif2iso (convert uif to iso)
+uif2iso:
+uif2iso: A command-line tool for converting single and multipart UIF images to
+uif2iso: the ISO format. See file uif2iso.txt for more documentation. Released
+uif2iso: under the GNU GPL license.
+uif2iso:
+uif2iso:
+uif2iso: Homepage: http://aluigi.org/mytoolz.htm#uif2iso
+uif2iso:
+uif2iso:
+uif2iso:
+
diff --git a/system/uif2iso/uif2iso.SlackBuild b/system/uif2iso/uif2iso.SlackBuild
new file mode 100644
index 0000000000..47948cee62
--- /dev/null
+++ b/system/uif2iso/uif2iso.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for uif2iso
+
+# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# All rights reserved.
+#
+# aka dive in #slackware on freenode.net
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. FURTHERMORE I AM NOT LIABLE IF
+# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
+
+
+PRGNAM=uif2iso
+VERSION=${VERSION:-0.1.7c}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM.zip -d $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION/src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's/\/local//g' Makefile
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cd $TMP/$PRGNAM-$VERSION
+cp README INSTALL uif2iso.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
+
diff --git a/system/uif2iso/uif2iso.info b/system/uif2iso/uif2iso.info
new file mode 100644
index 0000000000..0e8d43de0c
--- /dev/null
+++ b/system/uif2iso/uif2iso.info
@@ -0,0 +1,10 @@
+PRGNAM="uif2iso"
+VERSION="0.1.7c"
+HOMEPAGE="http://aluigi.org/mytoolz.htm#uif2iso"
+DOWNLOAD="http://aluigi.org/mytoolz/uif2iso.zip"
+MD5SUM="2eb9797ec463c38253014d45591a7043"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@unrealize.co.uk"
+APPROVED="dsomero"